Subject: RE: removing ^M from shell output not working
From: "Sprenger, Karel" <[email-masked]>
To: "'Sagar R. Shah'" <[email-masked]>, "'Sam Steingold'" <[email-masked]>
Cc: "'Daniel Barclay'" <[email-masked]>, "[email-masked]'" <[email-masked]>, "'cygwin'" <[email-masked]>
Date: Tue, 8 May 2001 21:52:35 +0200

Oh, I forgot to mention I'm using NTemacs 20.7.3.

Cheers,
Karel

-- 
Karel Sprenger, senior solution specialist 
COMPAQ, Professional Services 
Phone:  +31 (30) 283 4542           Home: +31 (20) 670 0942 
E-mail: [email-masked]   Home: [email-masked] 
"A behaviorist is someone who pulls habits out of rats." -- Anonymous 

-----Original Message-----
From: Sprenger, Karel 
Sent: Tuesday, May 08, 2001 21:50
To: 'Sagar R. Shah'; Sam Steingold
Cc: Daniel Barclay; [email-masked]; cygwin
Subject: RE: removing ^M from shell output not working

Hi, 
All I have is the following lines in my .emacs file: 
;; Add proc-filter-shell-output-filter to get rid of ^M in shells 
(require 'proc-filters) 
(add-hook 'comint-output-filter-functions 'proc-filter-shell-output-filter) 
I used to have lots of other code that supposedly got rid of ^M's but
didn't.  Only recently I discovered that the above does the trick for me
when I use Cygwin's bash as shell program.
Cheers, 
Karel 
-- 
Karel Sprenger, senior solution specialist 
COMPAQ, Professional Services 
Phone:  +31 (30) 283 4542           Home: +31 (20) 670 0942 
E-mail: [email-masked]   Home: [email-masked] 
"A behaviorist is someone who pulls habits out of rats." -- Anonymous 
-----Original Message----- 
From: Sagar R. Shah [mailto:[email-masked]] 
Sent: Tuesday, May 08, 2001 12:36 
To: Sam Steingold 
Cc: Daniel Barclay; [email-masked]; cygwin 
Subject: Re: removing ^M from shell output not working 

On 7 May 2001, Sam Steingold wrote: 
> (modify-coding-system-alist 'process "" 'unix) 
> 
> works for me like a charm on e21 (CVS version - the latest pretest). 
> 
> whoever maintains the FAQs might want to update it. 
Has anyone got it to work on emacs 20.7? (or anything pre-21?) 
When i try it i get: 
"Invalid coding system: unix" 
any ideas on what's missing? 
Thanks 
Sagar 
--------------------------------- 
Sagar R. Shah 
http://www.netnexus.co.uk/ 
http://www.netnexus.uklinux.net/ 
--------------------------------- 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple